Bug 249597 - Kernel reboots when booting from boot.iso on certain machines
Kernel reboots when booting from boot.iso on certain machines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test1
  Show dependency treegraph
 
Reported: 2007-07-25 13:35 EDT by Will Woods
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 17:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2007-07-25 13:35:03 EDT
Starting June 17, rawhide boot.iso images fail to boot on my two x86_64 (Dell)
test machines. Both the i386 and x86_64 images fail.

Syslinux loads vmlinuz and initrd.img, says "Ready.", and then the system
reboots. No further messages appear on screen. Syslinux was not changed between
June 16 and June 17.

I've tried passing 'maxcpus=1', 'nohpet', 'nolapic', and 'noacpi' to the kernel,
to no avail.

The rawhide change report for June 17 is here:
http://www.redhat.com/archives/fedora-test-list/2007-July/msg00374.html
Notable is the kernel change log:

kernel-2.6.23-0.29.rc0.git6.fc8
-------------------------------
* Mon Jul 16 2007 John W. Linville ...
- Update git-wireless-dev.patch

* Mon Jul 16 2007 Dave Jones ...
- Disable ppc64 build until upstream merge (Broken PS3 drivers).

* Mon Jul 16 2007 Dave Jones ...
- 2.6.22-git6
Comment 1 Chuck Ebbert 2007-07-25 15:05:30 EDT
Try "vga=ask" and see if it prompts for a video mode.
Comment 2 Will Woods 2007-07-25 15:09:26 EDT
It does. Hitting the spacebar to continue, it reboots as usual. I guess that
confirms that we're in kernel-space at that point?
Comment 3 Chuck Ebbert 2007-07-25 15:15:45 EDT
(In reply to comment #2)
> It does. Hitting the spacebar to continue, it reboots as usual. I guess that
> confirms that we're in kernel-space at that point?

No, but at least the kernel got loaded into memory and the setup code
was run. There were some bugs recently fixed in there, so maybe we
should wait and confirm the bug is still in 2.6.23-rc1-git1, which is
building now.
Comment 4 Chuck Ebbert 2007-07-26 13:16:07 EDT
Will, did you try -rc3-git1?
Comment 5 Will Woods 2007-07-26 15:47:54 EDT
Still trying to build an installer image with that kernel. Will update when I've
tested.
Comment 6 Will Woods 2007-07-26 16:13:38 EDT
kernel-2.6.23-0.47.rc1.git1.fc8 still reboots at startup. I don't see rc3-git1
anywhere in koji - did you mean rc1-git3?
Comment 7 Chuck Ebbert 2007-07-26 16:56:36 EDT
(In reply to comment #6)
> kernel-2.6.23-0.47.rc1.git1.fc8 still reboots at startup. I don't see rc3-git1
> anywhere in koji - did you mean rc1-git3?

Yes, but that's probably not going to help.

Can you try the boot disk on a few more machines to see if this
is a general problem? (I booted vanilla 2.6.23-rc1-git3 from floppy
on a Dell 490 and that works.)
Comment 8 Will Woods 2007-07-26 17:03:36 EDT
Sorry, I should have noted this above - I can *only* make this bug manifest when
booting from CD with ISOLINUX. The systems boot happily with GRUB loading the
kernel from /boot. So I'm not sure if floppy-booting would trigger it.

I'll try some non-dell machines and see whether I can narrow the problem further.
Comment 9 John Poelstra 2007-07-27 17:07:18 EDT
Boot of live CD rawhide-20070725 on i386 fails on Dell 400SC

1) Boot i386 gnome on Dell 400SC
2) Get grub screen
3) Select boot from image
4) initrd loads
5) "Ready" message
5) machine reboots itself 
Comment 10 Will Woods 2007-07-27 17:53:39 EDT
Chuck, I finally got a working iso using the most recent rawhide kernel (with
debugging printks) - here's the output.

ISOLINUX 3.36 2007-02-10  Copyright (C) 1994-2007 H. Peter Anvin
Loading linux...................................Ready.
query_mca
query_ist
query_apm_bios
query_edd
go_to_protected_mode
realmode_switch_hook
move_kernel_around
enable_a20
reset_coprocessor
mask_all_interrupts
transition to PM...

At that point, the cursor moves to the top left of the screen, prints a '.', and
the system hangs.
Comment 11 mail@romal.de 2007-07-28 07:09:35 EDT
my Toshiba Tecra S3 laptop does exactly the same, so it is not Dell-related.
Comment 12 Chuck Ebbert 2007-07-30 12:22:36 EDT
(In reply to comment #10)
> Chuck, I finally got a working iso using the most recent rawhide kernel (with
> debugging printks) - here's the output.

Are there instructions available for building one of our boot CDs?
Comment 13 Will Woods 2007-07-30 12:39:54 EDT
It's a little complicated - you can follow the guide for building ISOs here:
http://fedoraproject.org/wiki/QA/BuildingISOs
Once you've got the configs set up, pungi -GB should create boot images.

On the other hand, 'make isoimage' in the kernel source dir works as well - I've
confirmed the failure using an isoimage built that way. That's how I got the
debugging output from comment #10.
Comment 14 Will Woods 2007-07-31 16:22:53 EDT
I think the culprit has been found! Booting with 'edd=off' works for my test
machine. The following patch is proposed to fix the problem in the kernel:

http://www.kernel.org/pub/linux/kernel/people/hpa/x86setup-edd.patch
Comment 15 Chuck Ebbert 2007-07-31 17:05:10 EDT
Patch is in rawhide, building now.

Note You need to log in before you can comment on or make changes to this bug.